@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';

/* /Components/Account/Shared/ProfileLayout.razor.rz.scp.css */

.top-row[b-ga3s69qj67] {
    border-bottom: 1px solid #d6d5d5;
    height: 4.6rem;
    background-color: white;
    padding: 0.5vw;
}

    .top-row h4[b-ga3s69qj67] {
        font-size: 30px;
        margin-top: 25px;
        margin-left: 10px;
    }

.content[b-ga3s69qj67] {
    padding: 1.5vw;
}
/* /Components/Layout/CertificateLayout.razor.rz.scp.css */


body[b-qbw8rs838x] {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #ffffff; /* whole page white */
}

/* Triple-border structure */
.page-margin[b-qbw8rs838x] {
    margin: 20px; /* outer page margin */
}

.outer-border[b-qbw8rs838x] {
    border: 12px solid #0b3257; /* thinner outer border */
    padding: 10px;
    box-sizing: border-box;
}

.inner-border[b-qbw8rs838x] {
    border: 6px solid #0b3257; /* inner border stays 10px */
    padding: 40px; /* space before certificate content */
    box-sizing: border-box;
}

.certificate-wrapper[b-qbw8rs838x] {
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: 60px 80px;
}

.badge-logo img[b-qbw8rs838x] {
    max-height: 140px;
}

.main-text[b-qbw8rs838x] {
    text-align: center;
    margin-top: 10px;
    margin-bottom: 40px;
}

    .main-text .intro-line[b-qbw8rs838x] {
        font-size: 18px;
        color: #4b5b6d;
        margin-bottom: 20px;
    }

    .main-text .company-name[b-qbw8rs838x] {
        font-size: 40px;
        font-weight: bold;
        letter-spacing: 1px;
        color: #01a5e3;
        text-transform: uppercase;
        margin-bottom: 20px;
    }

    .main-text .sub-line[b-qbw8rs838x] {
        font-size: 18px;
        color: #4b5b6d;
    }

.bottom-section[b-qbw8rs838x] {
    width: 100%;
    margin-top: auto;
}

.signatures[b-qbw8rs838x] {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    width: 100%;
}

.sig-block[b-qbw8rs838x] {
    width: 30%;
    text-align: center;
    font-size: 12px;
    color: #1d3552;
}

.sig-image[b-qbw8rs838x] {
    height: 60px;
    margin-bottom: 5px;
}

.sig-name-line[b-qbw8rs838x] {
    border-top: 3px solid #0b3257;
    margin: 5px auto;
    width: 70%;
}

.sig-name[b-qbw8rs838x] {
    font-weight: bold;
    margin-top: 5px;
    letter-spacing: 0.5px;
}

.sig-title[b-qbw8rs838x] {
    font-size: 11px;
}

.centre-logo img[b-qbw8rs838x] {
    max-height: 70px;
    margin-bottom: 5px;
}

.centre-logo .centre-text-line2[b-qbw8rs838x] {
    font-size: 12px;
    font-weight: bold;
    letter-spacing: 1px;
    color: #0b3257;
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-3cx0kjq7ga] {
  color-scheme: light only;
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss[b-3cx0kjq7ga] {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.page[b-3cx0kjq7ga] {
  height: 100vh;
}

.top-row[b-3cx0kjq7ga] {
  padding: 2.1875vw 2.1875vw 0.2604166667vw 2.1875vw;
}

.top-row h4[b-3cx0kjq7ga] {
  font-size: 30px;
  margin-top: 15px;
  margin-left: 10px;
}

.content[b-3cx0kjq7ga] {
  padding: 2.1875vw;
}

.main-footer[b-3cx0kjq7ga] {
  position: fixed;
  bottom: 0;
  height: 2.1875vw;
  font-size: 0.625vw;
  background-color: #fff;
  padding: 0.5208333333vw 1.0416666667vw;
}

.page-icon[b-3cx0kjq7ga] {
  width: 1.3541666667vw;
  height: 1.3541666667vw;
  margin: 0.6770833333vw;
}

.page-title[b-3cx0kjq7ga] {
  font-size: 1.8229166667vw;
  font-weight: bold;
}

.links-end[b-3cx0kjq7ga] {
  justify-content: flex-end;
  align-items: center;
  display: contents;
}

.login-who[b-3cx0kjq7ga] {
  font-size: 0.7291666667vw;
}

.account-link[b-3cx0kjq7ga] {
  color: white;
  text-decoration: none;
}

.account-button[b-3cx0kjq7ga] {
  height: 38px;
  border: 1px solid #5D9A3D;
  border-radius: 19px;
  color: white;
  padding: 4px;
  margin-top: 30px;
  margin-bottom: 15px;
  display: block;
  background-color: transparent;
  width: 150px;
  text-align: center;
}

@media (max-width: 640.98px) {
  .top-row:not(.auth)[b-3cx0kjq7ga] {
    display: none;
  }
  .top-row.auth[b-3cx0kjq7ga] {
    justify-content: space-between;
  }
  .top-row[b-3cx0kjq7ga]  a, .top-row[b-3cx0kjq7ga]  .btn-link {
    margin-left: 0;
  }
  .content[b-3cx0kjq7ga] {
    margin-left: 10px;
    margin-right: 5px;
    line-height: 18px;
  }
  .small-page-title[b-3cx0kjq7ga] {
    width: 100%;
    margin-top: 15px;
    margin-left: 20px;
    font-size: 26px;
    font-weight: bold;
  }
  .label[b-3cx0kjq7ga] {
    margin-top: 5px;
  }
  .edit-label[b-3cx0kjq7ga] {
    margin-top: 10px;
  }
  .phone-edit-width[b-3cx0kjq7ga] {
    width: 180px;
  }
}
/* /Components/Layout/NavMenu.razor.rz.scp.css */
:root[b-1ldl0priyu] {
  /* Colors: */
  --hpcn-green: #498447;
  --hpcn-turquoise: #00B6F0;
  --hpcn-dark-bg: #16284C;
}

/* Sidebar */
.navbar-toggler[b-1ldl0priyu] {
  background-color: rgba(255, 255, 255, 0.1);
}

.sidebar[b-1ldl0priyu] {
  height: 100vh;
  position: sticky;
  top: 0;
  background-color: var(--hpcn-dark-bg);
  width: 16.6666666667vw;
  min-width: 16.6666666667vw;
  font-size: 0.9375vw;
  overflow: auto;
}

.sidebar-logo[b-1ldl0priyu] {
  margin: 0.5208333333vw auto;
  width: 4.7916666667vw;
}

.sidebar-buffer[b-1ldl0priyu] {
  height: 12px;
}

.top-row-nav[b-1ldl0priyu] {
  background-color: var(--hpcn-turquoise);
}

.nav-button[b-1ldl0priyu] {
  background: transparent;
  border: none;
  color: #d7d7d7;
  margin: 0.5208333333vw -0.2604166667vw;
  width: 100%;
}

.nav-image[b-1ldl0priyu] {
  margin-right: 10px;
}

.navbar-brand[b-1ldl0priyu] {
  font-size: 1.1rem;
}

.nav-column[b-1ldl0priyu] {
  padding-left: 15px;
  padding-top: 15px;
}

.oi[b-1ldl0priyu] {
  width: 2rem;
  font-size: 1.1rem;
  vertical-align: text-top;
  top: -2px;
}

.nav-link[b-1ldl0priyu] {
  color: white !important;
}

.nav-item[b-1ldl0priyu] {
  padding-bottom: 0.25rem;
}

.nav-item[b-1ldl0priyu]  a {
  color: white !important;
  border-radius: 4px;
  height: 3rem;
  display: flex;
  align-items: center;
}

.nav-item[b-1ldl0priyu]  a.active {
  color: var(--hpcn-turquoise) !important;
}

.nav-item[b-1ldl0priyu]  a:hover {
  color: var(--hpcn-turquoise) !important;
}

.nav-button:hover[b-1ldl0priyu] {
  color: var(--hpcn-turquoise);
}

.nav-image[b-1ldl0priyu] {
  height: 1.0416666667vw;
  width: 1.0416666667vw;
}

.nav-image-admin[b-1ldl0priyu] {
  background: url(../images/admin.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-admin[b-1ldl0priyu] {
  background: url(../images/admin-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-registrations[b-1ldl0priyu] {
  background: url(../images/registration.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-registrations[b-1ldl0priyu] {
  background: url(../images/registration-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-reports[b-1ldl0priyu] {
  background: url(../images/report.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-reports[b-1ldl0priyu] {
  background: url(../images/report-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-profile[b-1ldl0priyu] {
  background: url(../images/profile.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-profile[b-1ldl0priyu] {
  background: url(../images/profile-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-insulation[b-1ldl0priyu] {
  background: url(../images/insulation.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-insulation[b-1ldl0priyu] {
  background: url(../images/insulation-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-hvac[b-1ldl0priyu] {
  background: url(../images/hvac.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-hvac[b-1ldl0priyu] {
  background: url(../images/hvac-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-window[b-1ldl0priyu] {
  background: url(../images/window.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-window[b-1ldl0priyu] {
  background: url(../images/window-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-employee-list[b-1ldl0priyu] {
  background: url(../images/employee-list.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-employee-list[b-1ldl0priyu] {
  background: url(../images/employee-list-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-company[b-1ldl0priyu] {
  background: url(../images/company.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-company[b-1ldl0priyu] {
  background: url(../images/company-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-contacts[b-1ldl0priyu] {
  background: url(../images/contact.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-contacts[b-1ldl0priyu] {
  background: url(../images/contact-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-training-subsidies[b-1ldl0priyu] {
  background: url(../images/training-subsidies.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-training-subsidies[b-1ldl0priyu] {
  background: url(../images/training-subsidies-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-energy-advisors[b-1ldl0priyu] {
  background: url(../images/energy-advisors.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-energy-advisors[b-1ldl0priyu] {
  background: url(../images/energy-advisors-sel.svg) no-repeat;
  background-size: contain;
}

.nav-image-dashboard[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-dashboard2-white.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-dashboard[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-dashboard2-turquoise.svg) no-repeat;
  background-size: contain;
}

.nav-image-general[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-general-retrofit-white.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-general[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-general-retrofit-turquoise.svg) no-repeat;
  background-size: contain;
}

.nav-image-solar[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-solar-and-battery-white.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-solar[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-solar-and-battery-turquoise.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-add[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-add-new-turquoise-open.svg) no-repeat;
  background-size: contain;
}

.nav-image-add[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-add-new-white-open.svg) no-repeat;
  background-size: contain;
}

.nav-image-notifications[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-notifications-white.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-notifications[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-notifications-turquoise.svg) no-repeat;
  background-size: contain;
}

.nav-image-cases[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-company-cases-white.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-cases[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-company-cases-turquoise.svg) no-repeat;
  background-size: contain;
}

.nav-image-sectors[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-sectors-white.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-sectors[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-sectors-turquoise.svg) no-repeat;
  background-size: contain;
}

.nav-image-help[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-help-white.svg) no-repeat;
  background-size: contain;
}

a.active .nav-image-help[b-1ldl0priyu] {
  background: url(../images/hpsc-icon-help-turquoise.svg) no-repeat;
  background-size: contain;
}

.nav-logout-button[b-1ldl0priyu] {
  border: 1px solid white;
  border-radius: 0.2604166667vw;
  margin: 1.3020833333vw;
}

.navbar-container[b-1ldl0priyu] {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 0 15px;
}

.navbar-footer[b-1ldl0priyu] {
  color: white;
  font-size: 0.625vw;
  text-align: center;
}

.expand-button[b-1ldl0priyu] {
  width: 1.0416666667vw;
  height: 1.0416666667vw;
  text-align: center;
  border: 1px solid white;
  color: white;
  border-radius: 0.2604166667vw;
  margin-left: 0.5208333333vw;
  line-height: 0.5208333333vw;
}

@media (min-width: 641px) {
  .navbar-toggler[b-1ldl0priyu] {
    display: none;
  }
  .collapse[b-1ldl0priyu] {
    /* Never collapse the sidebar for wide screens */
    display: block;
  }
  .notification-link[b-1ldl0priyu] {
    margin-left: 50px;
    margin-top: 10px;
    text-decoration: none;
  }
  .sidebar-menu[b-1ldl0priyu] {
    padding-left: 1.3020833333vw;
    padding-top: 0.5208333333vw;
  }
}
@media (min-width: 641px) and (max-width: 1200px) {
  .sidebar-menu[b-1ldl0priyu] {
    padding-left: 10px;
    margin-top: -15px;
  }
}
@media (min-width: 641px) {
  .page[b-1ldl0priyu] {
    flex-direction: row;
  }
  .top-row[b-1ldl0priyu] {
    position: sticky;
    top: 0;
  }
  .top-row.auth[b-1ldl0priyu]  a:first-child {
    flex: 1;
    text-align: right;
    width: 0;
  }
  .top-row[b-1ldl0priyu], article[b-1ldl0priyu] {
    padding-left: 2rem !important;
    padding-right: 1.5rem !important;
  }
  .small-page-title[b-1ldl0priyu] {
    display: none;
  }
  .centre-search[b-1ldl0priyu] {
    margin-left: 15px;
  }
}
/* /Components/Layout/RegistrationLayout.razor.rz.scp.css */
:root[b-cpkkiutgan] {
  /* Colours: */
  --hpcn-green: #498447;
  --hpcn-turquoise: #00B6F0;
  --hpcn-dark-bg: #16284C;
}

.sidebar[b-cpkkiutgan] {
  height: 100vh;
  position: sticky;
  top: 0;
  width: 15.3125vw;
  font-size: 0.9375vw;
  flex: 0 0 15.3125vw;
  color: white;
}

.sidebar-logo[b-cpkkiutgan] {
  margin: 2.0833333333vw auto;
  width: 7.4479166667vw;
}

.sidebar-login[b-cpkkiutgan] {
  padding: 1.5625vw 0;
}

.logout-prompt[b-cpkkiutgan] {
  margin-bottom: 0.5208333333vw;
  font-size: 0.625vw;
  text-align: center;
}

.nav-logout-button[b-cpkkiutgan] {
  border: 1px solid white;
  border-radius: 0.2604166667vw;
  width: 9.4791666667vw;
  margin: 0 auto;
}

.navbar-footer[b-cpkkiutgan] {
  color: white;
  font-size: 0.625vw;
  text-align: center;
}

.nav-button[b-cpkkiutgan] {
  background: transparent;
  border: none;
  color: #d7d7d7;
  margin: 0.5208333333vw -0.2604166667vw;
  width: 100%;
}

.nav-button:hover[b-cpkkiutgan] {
  color: var(--hpcn-turquoise);
}

.registration-body[b-cpkkiutgan] {
  background-image: linear-gradient(to right, var(--hpcn-turquoise), var(--hpcn-dark-bg));
}

.registration-border[b-cpkkiutgan] {
  padding: 1.5625vw 1.5625vw 1.5625vw 0;
}

.registration-content[b-cpkkiutgan] {
  background-color: white;
  border-radius: 1.3541666667vw;
  padding: 2.0833333333vw 4.1666666667vw;
}
